#pragma once

#include <util/generic/string.h>

namespace NRTYServer {
    using TShard = size_t;

    TShard GetShard(ui64 keyprefix, TShard shardsNumber);
    TShard GetShard(const TString& directory);

    bool GetShardAndSegmentId(const TString& directory, TShard& shard, i32& segmentId);
}
